## gpe-julia 0.0.6

=== Makefile ===
PACKAGE = gpe-julia
VERSION = 0.0.6
DEBUG = no
CVSBUILD = no
PREFIX = /usr/local

MEMBERS = main

ifeq ($(CVSBUILD),yes)
BUILD = ../../base/build
else
BUILD = build
endif

PACKAGE_CPPFLAGS += $(STANDARD_CPPFLAGS) -DENABLE_NLS
PACKAGE_CPPFLAGS += -DPACKAGE=\"$(PACKAGE)\" -DPREFIX=\"$(PREFIX)\" -DPACKAGE_LOCALE_DIR=\"$(PREFIX)/share/locale\"
PACKAGE_CFLAGS += $(STANDARD_CFLAGS) $(GPECFLAGS)
PACKAGE_LDFLAGS += $(STANDARD_LDFLAGS) $(GPELIBS)

OBJS = $(patsubst %,%.o,$(MEMBERS))
SOURCES = $(patsubst %,%.c,$(MEMBERS))
DEPS = $(patsubst %,%.d,$(MEMBERS))

all: $(PACKAGE)

$(PACKAGE): $(OBJS)
	$(CC) -o $@ $^ $(LDFLAGS) $(PACKAGE_LDFLAGS)

install-program: all install-mo $(PACKAGE).desktop
	install -D $(PACKAGE) $(DESTDIR)$(PREFIX)/bin/$(PACKAGE)
	install -D -m 644 $(PACKAGE).png $(DESTDIR)$(PREFIX)/share/pixmaps/$(PACKAGE).png
	install -d $(DESTDIR)$(PREFIX)/share/gpe/pixmaps/default/$(PACKAGE)
	install -m 644 pixmaps/zoom_in.png $(DESTDIR)$(PREFIX)/share/gpe/pixmaps/default/$(PACKAGE)/zoom_in.png
	install -m 644 pixmaps/zoom_out.png $(DESTDIR)$(PREFIX)/share/gpe/pixmaps/default/$(PACKAGE)/zoom_out.png
	mkdir -p $(DESTDIR)$(PREFIX)/share/applications
	install -m 644 $(PACKAGE).desktop $(DESTDIR)$(PREFIX)/share/applications/$(PACKAGE).desktop
	strip $(DESTDIR)$(PREFIX)/bin/$(PACKAGE)

clean:
	rm -f $(PACKAGE) $(OBJS) $(DEPS)

include $(BUILD)/Makefile.dpkg_ipkg
include $(BUILD)/Makefile.translation
-include $(DEPS)

=== debian/changelog ===
gpe-julia (0.0.6-7) unstable; urgency=low

  * Move from cdbs to dh 9.
  * Switch to 3.0 (quilt) source format.

 -- Moray Allan <moray@debian.org>  Sun, 25 Mar 2012 22:52:33 +0100

gpe-julia (0.0.6-6) unstable; urgency=low

  * Add Homepage field in control file.
  * Add GPE team to Uploaders.

 -- Moray Allan <moray@debian.org>  Sun, 13 Apr 2008 16:10:32 +0200

gpe-julia (0.0.6-5) unstable; urgency=low

  * Fix watch file URL.

 -- Moray Allan <moray@debian.org>  Sun, 09 Mar 2008 17:19:32 +0100

gpe-julia (0.0.6-4) unstable; urgency=low

  * Make build process respect DEB_BUILD_OPTIONS=nostrip.  Closes: #437071.

 -- Moray Allan <moray@debian.org>  Fri, 16 Nov 2007 16:45:34 +0000

gpe-julia (0.0.6-3) unstable; urgency=medium

  * Add Swedish translation. Closes: #349733.

 -- Moray Allan <moray@debian.org>  Sun, 15 Oct 2006 16:29:30 +0100

gpe-julia (0.0.6-2) unstable; urgency=low

  * Remove debian/rules.old.

 -- Moray Allan <moray@debian.org>  Mon, 17 Apr 2006 22:22:25 +0100

gpe-julia (0.0.6-1) unstable; urgency=low

  * New upstream release.

 -- Moray Allan <moray@debian.org>  Sun, 18 Apr 2004 19:44:18 +0100

gpe-julia (0.0.5-4) unstable; urgency=low

  * Fix man page section.
  * Use cdbs to build package.

 -- Moray Allan <moray@debian.org>  Sun,  7 Mar 2004 23:54:51 +0000

gpe-julia (0.0.5-3) unstable; urgency=low

  * Change maintainer address.

 -- Moray Allan <moray@debian.org>  Sun, 18 Jan 2004 04:12:47 +0000

gpe-julia (0.0.5-2) unstable; urgency=low

  * Fix download URL in debian/watch file.

 -- Moray Allan <moray@sermisy.org>  Sun, 28 Sep 2003 01:11:24 +0100

gpe-julia (0.0.5-1) unstable; urgency=low

  * Initial Release. Closes: #198924.

 -- Moray Allan <moray@sermisy.org>  Thu, 12 Jun 2003 23:56:09 +0100

=== debian/control ===
Source: gpe-julia
Section: graphics
Priority: optional
Maintainer: Moray Allan <moray@debian.org>
Uploaders: Debian GPE team <pkg-gpe-maintainers@lists.alioth.debian.org>, Phil Blundell <pb@debian.org>, Philippe De Swert <philippedeswert@scarlet.be>, Neil Williams <codehelp@debian.org>
Build-Depends: debhelper (>= 9.0), libgtk2.0-dev, libgpewidget-dev, intltool
Standards-Version: 3.9.3
Homepage: http://gpe.linuxtogo.org/

Package: gpe-julia
Architecture: any
Depends: ${shlibs:Depends}, gpe-icons, ${misc:Depends}
Description: Julia/Mandelbrot set generator for GPE
 gpe-julia is a fixed-point fractal drawing program for the GPE Palmtop 
 Environment. It can draw the Julia set for a particular point, or the
 Mandelbrot set. You can zoom in to look more closely at areas of interest.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
BUILDDIR=debian/gpe-julia/

%:
	dh $@

override_dh_auto_build:
	make DESTDIR=$(BUILDDIR) PREFIX=/usr

override_dh_auto_install:
	make install DESTDIR=$(BUILDDIR) PREFIX=/usr

=== debian/watch ===
version=2

http://gpe.linuxtogo.org/download/source/gpe-julia-(.*)\.tar\..* \
	debian	uupdate
